## org.eclipse.amp.amf.parameters.parser.antlr
Class AParParser

    java.lang.Object
      org.eclipse.xtext.parser.AbstractParser
          org.eclipse.xtext.parser.antlr.AbstractAntlrParser
              org.eclipse.amp.amf.parameters.parser.antlr.AParParser

All Implemented Interfaces:
  org.eclipse.xtext.parser.antlr.IAntlrParser, org.eclipse.xtext.parser.IParser

    public class AParParser

extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.antlr.IAntlrParser
`org.eclipse.xtext.parser.antlr.IAntlrParser.NullParser`

Constructor Summary
`AParParser()`

Method Summary
`AParGrammarAccess` `getGrammarAccess()`
`void` `setGrammarAccess(AParGrammarAccess grammarAccess)`

Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractAntlrParser
`doParse, doParse, getElementFactory, getLexerProvider, getPartialParser, getSyntaxErrorProvider, getTokenDefProvider, getUnorderedGroupHelper, parse, parse, setElementFactory, setLexerProvider, setPartialParser, setSyntaxErrorProvider, setTokenDefProvider, setUnorderedGroupHelper`

Methods inherited from class org.eclipse.xtext.parser.AbstractParser
`parse, parse, reparse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.xtext.parser.IParser
`parse, parse, reparse`

Constructor Detail

### AParParser

    public AParParser()

Method Detail

### getGrammarAccess

    public AParGrammarAccess getGrammarAccess()

### setGrammarAccess

    public void setGrammarAccess(AParGrammarAccess grammarAccess)